Name:          konversation
Version:       1.5
Release:       1mamba
Summary:       A KDE graphical Internet Relay Chat client (IRC)
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://konversation.kde.org
Source:        ftp://ftp.kde.org/pub/kde/stable/konversation/%{version}/src/konversation-%{version}.tar.xz
Patch0:        konversation-1.3.1-fix-scroll_background.patch
License:       GPL
BuildRequires: libltdl-devel
BuildRequires: libidn-devel
BuildRequires: libxml2-utils
BuildRequires: libXext-devel
BuildRequires: libXmu-devel
BuildRequires: libXrender-devel
BuildRequires: libXrandr-devel
BuildRequires: libXcursor-devel
BuildRequires: libXinerama-devel
BuildRequires: libXft-devel
BuildRequires: libXfixes-devel
BuildRequires: libxcb-devel
BuildRequires: libSM-devel
BuildRequires: libICE-devel
BuildRequires: liblcms-devel
BuildRequires: libGL-devel
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: libphonon-devel
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: kdepimlibs-devel
BuildRequires: libgcc
BuildRequires: libqca-devel
BuildRequires: libqt4-devel
BuildRequires: libphonon-devel
BuildRequires: libsoprano-devel
BuildRequires: libstdc++6-devel
BuildRequires: libX11-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Konversation is a user-friendly Internet Relay Chat (IRC) client built on the KDE Platform.

Features

Standard IRC features
SSL server support
Bookmarking support
Easy to use graphical user interface
Multiple servers and channels in one single window
DCC file transfer
Multiple identities for different servers
Text decorations and colors
OnScreen Display for notifications
Automatic UTF-8 detection
Per channel encoding support
Theme support for nick icons
Highly configurable


%prep
%setup -q
#%patch0 -p0

%build
%cmake_kde4 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_kde4_xdgappsdir}/konversation.desktop

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_kde4_bindir}/konversation
%{_kde4_xdgappsdir}/konversation.desktop
%{_kde4_datadir}/kconf_update/*.pl
%{_kde4_datadir}/kconf_update/konversation.upd
%dir %{_kde4_datadir}/konversation
%{_kde4_datadir}/konversation/*.*rc
%{_kde4_datadir}/konversation/scripts
%{_kde4_datadir}/konversation/themes
%dir %{_kde4_datadir}/konversation/scripting_support
%dir %{_kde4_datadir}/konversation/scripting_support/python
%dir %{_kde4_datadir}/konversation/scripting_support/python/konversation
%{_kde4_datadir}/konversation/scripting_support/python/konversation/*.py
%{_kde4_htmldir}/*/konversation
%{_kde4_icondir}/hicolor/*x*/*/*.png
%{_kde4_icondir}/hicolor/scalable/*/*.svgz
%{_kde4_servicesdir}/*.protocol
%doc AUTHORS COPYING* ChangeLog NEWS README TODO

%changelog
* Wed Jan 22 2014 Automatic Build System <autodist@mambasoft.it> 1.5-1mamba
- automatic version update by autodist

* Sun Feb 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4-1mamba
- update to 1.4

* Sun Jan 16 2011 gil <puntogil@libero.it> 1.3.1-1mamba
- update to 1.3.1
- removed dependency: libart, libqt (3.x)

* Mon Jun 15 2009 Automatic Build System <autodist@mambasoft.it> 1.1-3mamba
- removed dependency on libxcb-xlib

* Fri Oct 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-1mamba
- automatic update by autodist

* Sun Jul 08 2007 Tiziana Ferro <tiziana.ferro@email.it> 1.0.1-1mamba
- update to 1.0.1

* Tue Nov 22 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.18-1qilnx
- package created by autospec
